Bug 1584466 - mariadb update fails blocked by mariadb-tokudb-engine
Summary: mariadb update fails blocked by mariadb-tokudb-engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-31 01:33 UTC by Michal Jaegermann
Modified: 2018-06-24 20:09 UTC (History)
8 users (show)

Fixed In Version: mariadb-10.2.15-2.fc28 mariadb-10.2.15-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-19 15:46:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Jaegermann 2018-05-31 01:33:13 UTC
Description of problem:

An attempt to update the current rawhide fails as follows:

 Problem 1: cannot install both mariadb-server-3:10.2.15-1.fc29.x86_64 and mariadb-server-3:10.2.14-1.fc29.x86_64
  - package mariadb-tokudb-engine-3:10.2.14-1.fc29.x86_64 requires mariadb-server(x86-64) = 3:10.2.14-1.fc29, but none of the providers can be installed
  - cannot install the best update candidate for package mariadb-server-3:10.2.14-1.fc29.x86_64
  - problem with installed package mariadb-tokudb-engine-3:10.2.14-1.fc29.x86_64

My guess would be that this is a side-effect of bug #1583853 but if mariadb-tokudb-engine was dropped than it looks that some obsoletes/provides are missing.

Version-Release number of selected component (if applicable):
mariadb-server-10.2.15-1.fc29

Comment 1 Michal Schorm 2018-05-31 11:23:24 UTC
Yes, just as you say.

--

Currently discussed on fedora devel and users mailing lists.

The main question is:
 - is it OK to ship TokuDB package built in unsupported configuration?
 - I can't even test much automaticly, since its testsuite will not trigget in such configuration
 - I have no feedback from the users if it works in general for them


You are welcome to answer those questions too :)
(either here or on any of the mailing lists)

Comment 2 Fedora Update System 2018-06-15 16:42:23 UTC
mariadb-10.2.15-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2513b888a4

Comment 3 Fedora Update System 2018-06-15 16:42:48 UTC
mariadb-10.2.15-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-86026275ea

Comment 4 Fedora Update System 2018-06-16 20:24:40 UTC
mariadb-10.2.15-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-86026275ea

Comment 5 Fedora Update System 2018-06-16 21:51:41 UTC
mariadb-10.2.15-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2513b888a4

Comment 6 Fedora Update System 2018-06-19 15:46:43 UTC
mariadb-10.2.15-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-06-20 01:50:56 UTC
mariadb-10.2.15-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-06-24 20:09:52 UTC
mariadb-10.2.15-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.